# PeachHUD
A Team Fortress 2 HUD made by Peaches and streamlined for competitive, while maintaining a clean and minimalistic look.  
Based on SunsetHUD Dark, by Hypnotize.

# LINKS
[Screenshot Album](https://imgur.com/a/j6d9TjP) (Updated October 27)

[TeamFortress.tv](https://www.teamfortress.tv/55139/peachhud)

[Comfig HUDs](https://comfig.app/huds/page/peachhud/)

[Discord](https://discord.gg/HyZRVtp)

[Changelogs](https://github.com/PapaPeach/PeachHUD/commits/master)

# INSTALLATION
**Note:** As of Update 2.0.0, the installation process has been updated to be simpler and more in line with other HUDs.  

**1)** Download the HUD by clicking the green "Code" button at the top right of the page.

**2)** Unzip/Extract the downloaded **PeachHUD-Release.zip**, inside you'll see the **PeachHUD-Release** folder you'll be working with.  

**3)** Move the **PeachHUD-Release** folder to your **custom** folder (...\Steam\steamapps\common\Team Fortress 2\tf\custom).   
Can't find your **Steam** folder? Right-click Team Fortress 2 in your Steam library and select **Manage** > **Browse local files**.

**4)** For non-16:9 aspect ratios, drag and replace the files inside **customizations/Aspect Ratio Overrides** to **resource/ui**.

**5)** If fonts or crosshairs look wrong in game, you may need to install the fonts from **resource/scheme/fonts**.

**Note:** PeachHUD was developed for Windows, but Linux is *mostly* supported and Mac is *theoritcally* supported. For both OSs you will need to rename the hud file to lower case to be loaded by the game. Example from **PeachHUD-Release** to **peachhud-release**.

# CUSTOMIZATION
PeachHUD enables easy customization of certain aspects of the HUD through the **customizations** folder. These customization options are planned to be expanded upon as I receive suggestions or think of more possibilities.

All customization options can be found inside the **customizations** folder and to enable them you will need to:

**1)** Open the customization file you would like to apply (I recommend [Notepad++](https://notepad-plus-plus.org) for this or formatting will be ugly).

**2)** Remove the `//` before `#base` from the line you want to apply and ensure all other lines have `//` before them.  
Some customization options require extra steps to enable, those steps are detailed in their respective file.

**3)** Save the file(s) and reload your HUD or restart TF2.

# CREDITS
**Everything:** Hypnotize for creating [SunsetHUD](https://github.com/Hypnootize/Sunset-Hud) and being tremendously helpful!

**Inspiration:** BudHUD, RaysHUD, 7HUD, m0reHUD, HypnotizeHUD, and ToonHUD

**Crosshairs:** Hypnotize's [TF2 HUD Crosshairs](https://github.com/Hypnootize/TF2-Hud-Crosshairs)

**Material Design VTFs:** extracrispy and Rawsor

**Menu Background:** [GMK Fuyu Deskmat Render](https://www.reddit.com/r/MechanicalKeyboards/comments/dqfll4/a_fitting_beginning_for_the_season/)

**All the wonderful people in the [PeachHUD Discord](https://discord.gg/HyZRVtp), where you can also ask me questions and give feedback :)**
